summaryrefslogtreecommitdiff
path: root/dev-python/pylibacl
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/pylibacl')
-rw-r--r--dev-python/pylibacl/Manifest2
-rw-r--r--dev-python/pylibacl/metadata.xml16
-rw-r--r--dev-python/pylibacl/pylibacl-0.5.3.ebuild35
-rw-r--r--dev-python/pylibacl/pylibacl-0.5.4_p20191217.ebuild40
4 files changed, 93 insertions, 0 deletions
diff --git a/dev-python/pylibacl/Manifest b/dev-python/pylibacl/Manifest
new file mode 100644
index 000000000000..3100c2755e0d
--- /dev/null
+++ b/dev-python/pylibacl/Manifest
@@ -0,0 +1,2 @@
+DIST pylibacl-0.5.4_p20191217.tar.gz 40283 BLAKE2B dfe5baababe4cce24bc12dd61263c30160e93be7dc0625abdcad9e4daed19c5ac1ebf43351f9f5815884162258884cd8c7e2edb323ec9ce51247a43d53fea20e SHA512 6d4a84e1885a2000226f956580a8e767216d6280d4b8ae1066e6a1c1f82708d06a4f2eacc3ae45ff7ae3b122125da9fb6afbaae038e117b63cd7d91ac95e2624
+DIST pylibacl-v0.5.3.tar.gz 32792 BLAKE2B 005785dda2b7933ff71dd1296b1d4315a6492fc893aba56136c775f78b9aa3bd8f9d4898bbe0160fac53a306329977ddaecd073739531ba42dd0b6cc622b9eef SHA512 ea648acc3df9e1cf2fd68576b0b691a353b257d00b74fc80aa7f60089b9dbc912452ebe6b84da2930cac888b9047740530dd0e38b4d5be52c37fc6d3a29a7ce2
diff --git a/dev-python/pylibacl/metadata.xml b/dev-python/pylibacl/metadata.xml
new file mode 100644
index 000000000000..5c57e2cfae89
--- /dev/null
+++ b/dev-python/pylibacl/metadata.xml
@@ -0,0 +1,16 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>robbat2@gentoo.org</email>
+ </maintainer>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="pypi">pylibacl</remote-id>
+ <remote-id type="github">iustin/pylibacl</remote-id>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>
diff --git a/dev-python/pylibacl/pylibacl-0.5.3.ebuild b/dev-python/pylibacl/pylibacl-0.5.3.ebuild
new file mode 100644
index 000000000000..61d45648459c
--- /dev/null
+++ b/dev-python/pylibacl/pylibacl-0.5.3.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8} )
+
+inherit distutils-r1
+
+DESCRIPTION="POSIX ACLs (Access Control Lists) for Python"
+HOMEPAGE="https://pylibacl.k1024.org/
+ https://pypi.org/project/pylibacl/"
+SRC_URI="https://github.com/iustin/${PN}/archive/${PN}-v${PV}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha amd64 arm ~ia64 ~mips ppc ppc64 ~sparc x86"
+
+RDEPEND="sys-apps/acl"
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]"
+
+S="${WORKDIR}/${PN}-${PN}-v${PV}"
+
+python_test() {
+ if ! "${EPYTHON}" test/test_acls.py -v; then
+ eerror
+ eerror "If you got the following errors:"
+ eerror "\"IOError: [Errno 95] Operation not supported\","
+ eerror "then you should remount the filesystem containing"
+ eerror "build directory with \"acl\" option enabled."
+ eerror
+ die "Tests fail with ${EPYTHON}"
+ fi
+}
diff --git a/dev-python/pylibacl/pylibacl-0.5.4_p20191217.ebuild b/dev-python/pylibacl/pylibacl-0.5.4_p20191217.ebuild
new file mode 100644
index 000000000000..cd41facaf320
--- /dev/null
+++ b/dev-python/pylibacl/pylibacl-0.5.4_p20191217.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8} )
+
+inherit distutils-r1
+
+EGIT_COMMIT=2ae494bd2e3303141a703f32e44263e083c1ffb0
+DESCRIPTION="POSIX ACLs (Access Control Lists) for Python"
+HOMEPAGE="
+ https://pylibacl.k1024.org/
+ https://pypi.org/project/pylibacl/
+ https://github.com/iustin/pylibacl/"
+SRC_URI="
+ https://github.com/iustin/pylibacl/archive/${EGIT_COMMIT}.tar.gz
+ -> ${P}.tar.gz"
+S=${WORKDIR}/${PN}-${EGIT_COMMIT}
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha amd64 arm ~ia64 ~mips ppc ~ppc64 sparc x86"
+
+RDEPEND="sys-apps/acl"
+DEPEND=${RDEPEND}
+
+distutils_enable_tests pytest
+
+python_test() {
+ if ! pytest -vv; then
+ eerror
+ eerror "If you got the following errors:"
+ eerror "\"IOError: [Errno 95] Operation not supported\","
+ eerror "then you should remount the filesystem containing"
+ eerror "build directory with \"acl\" option enabled."
+ eerror
+ die "Tests fail with ${EPYTHON}"
+ fi
+}